# POST /event-queues

**Resource:** [Auto Queues](./auto-queues.md)  
**MCP tool:** `create_auto_queue`  
**Scopes:** `automations:write`  
**Write operation:** yes

Create an automation event queue.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `name` | body | string | yes |  |
| `description` | body | string | no |  |
| `respect_business_hours` | body | boolean | no | Respect business hours: when true, steps only send during the workspace business-hours window (held to the next window otherwise). Defaults to false. |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/event-queues"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"...","description":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`